Bug 171637 - lsof -b still blocks on gethostbyname causing slow force unmount; use -bn instead
lsof -b still blocks on gethostbyname causing slow force unmount; use -bn ins...
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 172895
  Show dependency treegraph
 
Reported: 2005-10-24 12:29 EDT by Lon Hohberger
Modified: 2009-04-16 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0196
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-27 13:05:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes behavior (574 bytes, patch)
2005-11-10 16:55 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2005-10-24 12:29:21 EDT
Description of problem:

If clumanager has a service configured with force unmount support and that
service is stopped, the stop phase can take a VERY long time to complete if lsof
is used and DNS is cut off.

The solution is to add "-n" to the lsof option string so that DNS is not used.
Comment 1 Lon Hohberger 2005-11-10 16:55:33 EST
Created attachment 120910 [details]
Fixes behavior
Comment 2 Lon Hohberger 2005-11-10 17:04:07 EST
Setting to modified.
Comment 3 Lon Hohberger 2005-11-11 15:58:34 EST
A new *TEST* package build with several bugfixes (fixes bugzillas: 171637 172735
172893 172894 ) is available.  Gulm-bridge support has been disabled in this
release to prevent having to install with the "--nodeps" option:

http://people.redhat.com/lhh/clumanager-1.2.28.6-0.1nogfs.i386.rpm
http://people.redhat.com/lhh/clumanager-1.2.28.6-0.1nogfs.x86_64.rpm
http://people.redhat.com/lhh/clumanager-1.2.28.6-0.1nogfs.src.rpm

Let us know if this works for you.
Comment 4 Lon Hohberger 2005-12-14 16:09:49 EST
This is not critical for testing, but worth noting:

1.  Examine /usr/lib/clumanager/services/svclib_filesystem and
take a note of the lsof command in there, which calls "lsof -b".

2.  Temporarily disable name resolution one way is to use:
	iptables -A OUTPUT -p udp -m udp --dport 53 -m state \
		 --state NEW -j DROP

3.  Run lsof -b; it should pause at points (or sometimes hang for a
long time).

4.  Run lsof -bn; it should not hang or noticeably pause.
Comment 7 Red Hat Bugzilla 2006-03-27 13:05:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0196.html

Note You need to log in before you can comment on or make changes to this bug.